# Gimp.Image.prototype.scale

    function scale(new_width: Number(gint), new_height: Number(gint)): Boolean {
        // Gjs wrapper for gimp_image_scale()
    }

Scale the image using the default interpolation method.

This procedure scales the image so that its new width and height are equal to the supplied parameters. All layers and channels within the image are scaled according to the specified parameters; this includes the image selection mask. The interpolation method used can be set with Gimp.context_set_interpolation.

new_width

  New image width.

new_height

  New image height.

Returns

  TRUE on success.